Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support import validate

POST/workspaces/{organizationId}/support/imports/validate
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
One of:
object
sourcestringrequired
Allowed:intercom
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
object
sourcestringrequired
Allowed:jam
credentialsobjectrequired
Show properties
dataobject[]required
object
sourcestringrequired
Allowed:jam-mcp
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
object
sourcestringrequired
Allowed:plain
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
object
sourcestringrequired
Allowed:zendesk
credentialsobjectrequired
Show properties
subdomainstringrequired
min length 1
emailstring<email>required
tokenstringrequired
min length 1
Responses
200

Validation result

okbooleanrequired
errorstring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/imports/validate' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "source": "intercom",
  "credentials": {
    "token": "string"
  }
}'
Response
{
  "ok": true,
  "error": "string"
}

Was this page helpful?